# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.ClassifyRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :file,
    :url,
    :force,
    :objects
  ]

  @type t :: %__MODULE__{
    :file => String.t | nil,
    :url => String.t | nil,
    :force => boolean() | nil,
    :objects => boolean() | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.ClassifyRequest do
  def decode(value, _options) do
    value
  end
end

